DisabledNameserviceStore (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.store, class: DisabledNameserviceStore

Package org.apache.hadoop.hdfs.server.federation.store

# Class DisabledNameserviceStore

java.lang.Object
org.apache.hadoop.hdfs.server.federation.store.RecordStore<R>
org.apache.hadoop.hdfs.server.federation.store.CachedRecordStore<DisabledNameservice>
org.apache.hadoop.hdfs.server.federation.store.DisabledNameserviceStore

All Implemented Interfaces:
  `StateStoreCache`

Direct Known Subclasses:
  `DisabledNameserviceStoreImpl`

@Private @Evolving public abstract class DisabledNameserviceStore extends CachedRecordStore<DisabledNameservice>
State store record to track disabled name services.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DisabledNameserviceStore(StateStoreDriver driver)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract boolean`
  `disableNameservice(String nsId)`
  Disable a name service.
  `abstract boolean`
  `enableNameservice(String nsId)`
  Enable a name service.
  `abstract Set<String>`
  `getDisabledNameservices()`
  Get a list of disabled name services.

  ### Methods inherited from class org.apache.hadoop.hdfs.server.federation.store.CachedRecordStore

  `getCachedRecords, getCachedRecordsAndTimeStamp, loadCache, overrideExpiredRecord, overrideExpiredRecords`

  ### Methods inherited from class org.apache.hadoop.hdfs.server.federation.store.RecordStore

  `getDriver, getRecordClass, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DisabledNameserviceStore

    public DisabledNameserviceStore(StateStoreDriver driver)

- ## Method Details

  - ### disableNameservice

    public abstract boolean disableNameservice(String nsId) throws IOException
    Disable a name service.
    Parameters:
      `nsId` - Identifier of the name service.
    Returns:
      If the name service was successfully disabled.
    Throws:
      `IOException` - If the state store could not be queried.

  - ### enableNameservice

    public abstract boolean enableNameservice(String nsId) throws IOException
    Enable a name service.
    Parameters:
      `nsId` - Identifier of the name service.
    Returns:
      If the name service was successfully brought back.
    Throws:
      `IOException` - If the state store could not be queried.

  - ### getDisabledNameservices

    public abstract Set<String> getDisabledNameservices() throws IOException
    Get a list of disabled name services.
    Returns:
      List of disabled name services.
    Throws:
      `IOException` - If the state store could not be queried.